<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OwnerJournalEntryDetail StructType
 * @subpackage Structs
 */
class OwnerJournalEntryDetail extends OwnerLedgerItem
{
    /**
     * The journalEntry
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\OwnerJournalEntry
     */
    public $journalEntry;
    /**
     * Constructor method for OwnerJournalEntryDetail
     * @uses OwnerJournalEntryDetail::setJournalEntry()
     * @param \StructType\OwnerJournalEntry $journalEntry
     */
    public function __construct(\StructType\OwnerJournalEntry $journalEntry = null)
    {
        $this
            ->setJournalEntry($journalEntry);
    }
    /**
     * Get journalEntry value
     * @return \StructType\OwnerJournalEntry|null
     */
    public function getJournalEntry()
    {
        return $this->journalEntry;
    }
    /**
     * Set journalEntry value
     * @param \StructType\OwnerJournalEntry $journalEntry
     * @return \StructType\OwnerJournalEntryDetail
     */
    public function setJournalEntry(\StructType\OwnerJournalEntry $journalEntry = null)
    {
        $this->journalEntry = $journalEntry;
        return $this;
    }
}
