<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReadOnlyLeaseRefund StructType
 * @subpackage Structs
 */
class ReadOnlyLeaseRefund extends ReadOnlyLeaseLedgerItem
{
    /**
     * The bank
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var \StructType\Bank
     */
    public $bank;
    /**
     * Constructor method for ReadOnlyLeaseRefund
     * @uses ReadOnlyLeaseRefund::setBank()
     * @param \StructType\Bank $bank
     */
    public function __construct(\StructType\Bank $bank = null)
    {
        $this
            ->setBank($bank);
    }
    /**
     * Get bank value
     * @return \StructType\Bank|null
     */
    public function getBank()
    {
        return $this->bank;
    }
    /**
     * Set bank value
     * @param \StructType\Bank $bank
     * @return \StructType\ReadOnlyLeaseRefund
     */
    public function setBank(\StructType\Bank $bank = null)
    {
        $this->bank = $bank;
        return $this;
    }
}
